       PROGRAM HOLDER

       include 'gcflag.inc'

       PARAMETER (NWGEAN=10000000,NWPAW=10000000)
       COMMON/GCBANK/GEANT(NWGEAN)
       COMMON/PAWC/PAW(NWPAW)
C
C Main program for batch FGSIM 
C
C--- GEANT ZBERA initialisation
        CALL MZLOGL(0,-2)
        CALL GZEBRA(NWGEAN)
        call GZINIT
C
        CALL TIMEST(1.E8)
    
C--- HBOOK Initialisation                                  
         
        call HLIMIT(-NWPAW)
C
C Do initialisation of packages, reading of datacards and all that
C
       CALL UGINIT
C
C Start event simulation loop
C
       CALL GRUN
C
C Call termination routine
C
       CALL UGLAST
       END
